require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  70,
  WhiteColor
};


MakeDialog
{
	-- Name the modal dialog
	name="creditswindow",
	Bitmap
	{
		image="backgrounds/bg_black",

--		Text
--		{
--			font = TitleFont,
--			name = "title",
--			x=kCenter,y=60,w=kMax ,h=75,
--			flags = kHAlignCenter + kVAlignTop,
--			label = "credits"
--		};

		CreditsWindow
		{
			x = kCenter, y = kCenter,
			w = 1024, h = 768,
			font = standardFont,
			fontsize = 16,
			fontcolor = WhiteColor,
			headercolor = BlueColor,
			columngap = 50,
			columnwidth = 325,
			time = 90000, 		-- Time to play credits in milliseconds
			intropause = 0, 	-- Time to pause credits at start, in ms
			file = "credits/credits.txt",
		},

		Text
		{
			flags=kHAlignCenter + kVAlignTop,
			x=0,y=-22,
			w=kMax;h=39;
			label="#"..GetString("version",GetConfig(kGameVersion)) ;
		};

		SetStyle(ButtonStyle),
		Button
		{
			x=kCenter,
			y=kMax-60,
			name="back",
			default=true,
			cancel=true,
			label="back",
			hotkey="",
			command =
				function()
					quitToMain();
				end
		};
	},
}